%% Clearing the workspace
clear all; 

%% Closing all figures
close all; 

%% Loading Data
load('PEC_cal_plates.mat')

%% Plotting Signals, i.e., V(t)
figure; 
for i = 2:size(data_LO,1) 
     plot(time(1:20:end)*1000, data_noLO(i,1:20:end),'k'); grid on; hold on; 
     plot(time(1:20:end)*1000, data_LO(i,1:20:end),'k--'); grid on; hold on; 
end
xlabel('Time / (ms)');
ylabel('V(t) / (V)');
legend('0 mm lift-off', '12 mm lift-off');

%% Plotting Signals in logarithmic scale, i.e., ln[V(t)] 
figure; 
for i = 2:size(data_LO,1) 
     plot(time(1:20:end)*1000, log(data_noLO(i,1:20:end)),'k'); grid on; hold on; 
     plot(time(1:20:end)*1000, log(data_LO(i,1:20:end)),'k--'); grid on; hold on; 
end
ylim([-6 3]); 
xlabel('Time / (ms)');
ylabel('ln[V(t)]');
legend('0 mm lift-off', '12 mm lift-off');

